Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.virtual.plugins.context.vfs
Class AssembledContext

    java.lang.Object
      org.jboss.virtual.plugins.context.AbstractVFSContext
          org.jboss.virtual.plugins.context.vfs.AssembledContext

All Implemented Interfaces:
  VFSContext

    public class AssembledContext

extends AbstractVFSContext

AssembledContext.

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org, Adrian Brock

Field Summary

Fields inherited from class org.jboss.virtual.plugins.context.AbstractVFSContext
`log`

Constructor Summary
`AssembledContext(java.lang.String name, java.lang.String rootName)`

Method Summary
`java.lang.String` | `getName()`
`VirtualFileHandler` | `getRoot()` Return the root virtual file

Methods inherited from class org.jboss.virtual.plugins.context.AbstractVFSContext
`equals, findChild, getChildren, getOptions, getRootURI, getVFS, hashCode, toString, visit, visit`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssembledContext

    public AssembledContext(java.lang.String name,
                            java.lang.String rootName)
                     throws java.io.IOException,
                            java.net.URISyntaxException

Throws:
  `java.io.IOException`
  `java.net.URISyntaxException`

Method Detail

### getRoot

    public VirtualFileHandler getRoot()
                               throws java.io.IOException

  Description copied from interface: `VFSContext`
  Return the root virtual file

  Returns:
    the root
  Throws:
    `java.io.IOException` - for any problem accessing the VFS

### getName

    public java.lang.String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD